package com.kingdee.eas.hr.project;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ProjectRoleCollection extends AbstractObjectCollection 
{
    public ProjectRoleCollection()
    {
        super(ProjectRoleInfo.class);
    }
    public boolean add(ProjectRoleInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ProjectRoleCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ProjectRoleInfo item)
    {
        return removeObject(item);
    }
    public ProjectRoleInfo get(int index)
    {
        return(ProjectRoleInfo)getObject(index);
    }
    public ProjectRoleInfo get(Object key)
    {
        return(ProjectRoleInfo)getObject(key);
    }
    public void set(int index, ProjectRoleInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ProjectRoleInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ProjectRoleInfo item)
    {
        return super.indexOf(item);
    }
}